Subject: bug#45565: closed (Re: [bug#45565] [PATCH 0/2] Add more r-mlr3 add-ons)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 31 Dec 2021 19:24:01 +0000

Your bug report

#45565: [PATCH 0/2] Add more r-mlr3 add-ons

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45565: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45565
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#45565] [PATCH 0/2] Add more r-mlr3 add-ons
From: Ricardo Wurmus <[email-masked]>
To: Wiktor Żelazny <[email-masked]>
Cc: [email-masked]
Date: Fri, 31 Dec 2021 20:20:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Wiktor,

I’m terribly sorry for the delay.  These two patches are fine and
slipped through the cracks.  I updated the packages to the new input
style and pushed them to the “master” branch.

> As for r-mlr3ordinal, the linter reported
>
> ./gnu/packages/cran.scm:25616:15: [email-masked]: the source file name should contain the package name
>
> I don’t know what “source file name” is referenced here, so I’m
> submitting the definition as it is.

This is due to the use of git-reference; you need to provide “file-name”
to give a name to the source checkout.  I did this when I applied your
patches.

Thanks for these patches!

-- 
Ricardo

Subject: [PATCH 0/2] Add more r-mlr3 add-ons
From: Wiktor Żelazny <[email-masked]>
To: [email-masked]
Date: Thu, 31 Dec 2020 13:46:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

A false alarm yesterday regarding the r-mlr3pipelines determinism. I
confused the derivation hash with the build hash. As for r-mlr3ordinal,
the linter reported

./gnu/packages/cran.scm:25616:15: [email-masked]: the source file name should contain the package name

I don’t know what “source file name” is referenced here, so I’m
submitting the definition as it is.

Wiktor Żelazny (2):
  gnu: Add r-mlr3pipelines.
  gnu: Add r-mlr3ordinal.

 gnu/packages/cran.scm | 62 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

base-commit: 67497e20890348ebbd41612e2582b1745a80fec5
-- 
2.29.2